## awn-cairo-utils awn-cairo-utils |

## Functions

void | awn_cairo_rounded_rect ()
void | awn_cairo_rounded_rect_shadow ()
void | awn_cairo_set_source_color ()
void | awn_cairo_set_source_color_with_alpha_multiplier ()
void | awn_cairo_set_source_color_with_multipliers ()
void | awn_cairo_pattern_add_color_stop_color ()
void | awn_cairo_pattern_add_color_stop_color_with_alpha_multiplier ()

## Types and Values

enum | AwnCairoRoundCorners

## Description

## Functions

### awn_cairo_rounded_rect ()

    void
    awn_cairo_rounded_rect (cairo_t *cr,
                            double x0,
                            double y0,
                            double width,
                            double height,
                            double radius,
                            AwnCairoRoundCorners state);

### awn_cairo_rounded_rect_shadow ()

    void
    awn_cairo_rounded_rect_shadow (cairo_t *cr,
                                   double rx0,
                                   double ry0,
                                   double width,
                                   double height,
                                   double radius,
                                   AwnCairoRoundCorners state,
                                   double shadow_radius,
                                   double shadow_alpha);

### awn_cairo_set_source_color ()

    void
    awn_cairo_set_source_color (cairo_t *cr,
                                DesktopAgnosticColor *color);

### awn_cairo_set_source_color_with_alpha_multiplier ()

    void
    awn_cairo_set_source_color_with_alpha_multiplier
                                   (cairo_t *cr,
                                    DesktopAgnosticColor *color,
                                    gdouble multiplier);

### awn_cairo_set_source_color_with_multipliers ()

    void
    awn_cairo_set_source_color_with_multipliers
                                   (cairo_t *cr,
                                    DesktopAgnosticColor *color,
                                    gdouble color_multiplier,
                                    gdouble alpha_multiplier);

### awn_cairo_pattern_add_color_stop_color ()

    void
    awn_cairo_pattern_add_color_stop_color
                                   (cairo_pattern_t *pattern,
                                    double offset,
                                    DesktopAgnosticColor *color);

### awn_cairo_pattern_add_color_stop_color_with_alpha_multiplier ()

    void
    awn_cairo_pattern_add_color_stop_color_with_alpha_multiplier
                                   (cairo_pattern_t *pattern,
                                    double offset,
                                    DesktopAgnosticColor *color,
                                    gdouble multiplier);

## Types and Values

### enum AwnCairoRoundCorners

#### Members

ROUND_NONE |  |
ROUND_TOP_LEFT |  |
ROUND_TOP_RIGHT |  |
ROUND_BOTTOM_RIGHT |  |
ROUND_BOTTOM_LEFT |  |
ROUND_TOP |  |
ROUND_BOTTOM |  |
ROUND_LEFT |  |
ROUND_RIGHT |  |
ROUND_ALL |  |